## sphinxcontrib-programoutput 0.8

=== requirements.txt ===
Sphinx>=1.1
pytest>=2.2

=== debian/changelog ===
sphinxcontrib-programoutput (0.8-4) unstable; urgency=medium

  * Fix FTBFS with sphinx 1.3 by switching from default to basic theme. Thanks
    to Dmitry Shachnev <mitya57@debian.org> for this patch (Closes: #787857).

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Jun 2015 11:16:48 +0200

sphinxcontrib-programoutput (0.8-3) unstable; urgency=medium

  * Fixed wrong VCS URLs.
  * Standards-Version: is now 3.9.5.
  * Added py.test unit tests.
  * Renamed binary package as python-sphinxcontrib.programoutput, to respect
    the sphinxcontrib namespace packaging. Sorry for the mistake :(
  * Overrides dh_* which we don't need to run.
  * Added sphinx doc.
  * Added Python 3 support.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Jun 2014 22:21:01 +0800

sphinxcontrib-programoutput (0.8-2) unstable; urgency=low

  * Do no build-depends on openstack-pkg-tools.
  * Ran wrap-and-sort.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Nov 2013 20:43:38 +0800

sphinxcontrib-programoutput (0.8-1) unstable; urgency=low

  * Initial release. (Closes: #724909)

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Sep 2013 23:48:40 +0800

=== debian/control ===
Source: sphinxcontrib-programoutput
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-docutils,
               python-pytest,
               python-setuptools,
               python-sphinx,
               python3-all (>= 3.2),
               python3-docutils,
               python3-pytest,
               python3-setuptools,
               python3-sphinx
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/sphinxcontrib-programoutput.git
Vcs-Git: git://anonscm.debian.org/openstack/sphinxcontrib-programoutput.git
Homepage: https://github.com/lunaryorn/sphinxcontrib-programoutput

Package: python-sphinxcontrib.programoutput
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}
Breaks: python-sphinxcontrib-programoutput (<= 0.8-2)
Replaces: python-sphinxcontrib-programoutput (<= 0.8-2)
Description: insert the output of arbitrary commands into documents - Python 2.x
 sphinxcontrib-programoutput is a Sphinx extension to literally insert the
 output of arbitrary commands into documents, helping you to keep your command
 examples up to date.
 .
 This package provides the Python 2.x module.

Package: python3-sphinxcontrib.programoutput
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python3:Depends}
Description: insert the output of arbitrary commands into documents - Python 3.x
 sphinxcontrib-programoutput is a Sphinx extension to literally insert the
 output of arbitrary commands into documents, helping you to keep your command
 examples up to date.
 .
 This package provides the Python 3.x module.

Package: python-sphinxcontrib.programoutput-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: insert the output of arbitrary commands into documents - doc
 sphinxcontrib-programoutput is a Sphinx extension to literally insert the
 output of arbitrary commands into documents, helping you to keep your command
 examples up to date.
 .
 This package provides the documentation.

Package: python-sphinxcontrib-programoutput
Section: oldlibs
Priority: extra
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-sphinxcontrib.programoutput, ${misc:Depends}
Description: insert the output of arbitrary commands into documents - transitional package
 sphinxcontrib-programoutput is a Sphinx extension to literally insert the
 output of arbitrary commands into documents, helping you to keep your command
 examples up to date.
 .
 This package is a dummy transitional package.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/lunaryorn/sphinxcontrib-programoutput.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-sphinxcontrib.programoutput; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-sphinxcontrib.programoutput; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. py.test -k 'not test_shell and not test_simple'
	PYTHONPATH=. py.test-3 -k 'not test_shell and not test_simple'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc $(CURDIR)/debian/python-sphinxcontrib.programoutput-doc/usr/share/doc/python-sphinxcontrib.programoutput-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installlogrotate override_dh_installgsettings override_dh_bugfiles override_dh_ucf:

=== debian/watch ===
version=3
https://github.com/lunaryorn/sphinxcontrib-programoutput/tags .*/(\d[\d\.]+)\.tar\.gz

## sphinxcontrib-programoutput 0.11

=== debian/changelog ===
sphinxcontrib-programoutput (0.11-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.

  [ Thomas Goirand ]
  * Removed python-pytest b-depends (Closes: #938537).
  * Add patch to use py3 in tests instead of py2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Jan 2020 20:43:58 +0100

sphinxcontrib-programoutput (0.11-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #938537).

 -- Thomas Goirand <zigo@debian.org>  Fri, 06 Sep 2019 09:18:21 +0200

sphinxcontrib-programoutput (0.11-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with Sphinx 1.8 by backporting patch from upstream.
    (Closes: #918309)

 -- Chris Lamb <lamby@debian.org>  Sat, 09 Mar 2019 22:26:13 +0000

sphinxcontrib-programoutput (0.11-3) unstable; urgency=medium

  * Team upload.
  * Change upstream to
    https://github.com/NextThought/sphinxcontrib-programoutput
    (Closes: #874255)

 -- Ondřej Nový <onovy@debian.org>  Sun, 21 Jan 2018 15:01:43 +0100

sphinxcontrib-programoutput (0.11-2) unstable; urgency=medium

  * Removed failing tests with LANG=C (Closes: #880909).
  * Fix $PYTHONPATH when building sphinx doc.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Nov 2017 11:09:36 +0000

sphinxcontrib-programoutput (0.11-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release:
    - Builds with sphinx 1.6+ (Closes: #871313).
  * Remove all patches.
  * Using setup.py test to run tests.
  * Removed transition package.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Oct 2017 20:11:33 +0000

sphinxcontrib-programoutput (0.8-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * Fix FTBFS with Sphinx 1.4.x:
    - adds suppress-warnings-for-app.add_directive.patch (Closes: #832848).
  * Reviewed build-depends vs build-depends-indep.
  * Removed non-active uploaders.
  * Added dh-python as build-depends.
  * Removed version of python-all / python3-all build-depends.
  * Standards-Version: 3.9.8 (no change).
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Aug 2016 11:34:26 +0000

=== debian/control ===
Source: sphinxcontrib-programoutput
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-docutils,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-pytest,
Standards-Version: 4.1.1
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/sphinxcontrib-programoutput
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/sphinxcontrib-programoutput.git
Homepage: https://github.com/NextThought/sphinxcontrib-programoutput

Package: python-sphinxcontrib.programoutput-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: insert the output of arbitrary commands into documents - doc
 sphinxcontrib-programoutput is a Sphinx extension to literally insert the
 output of arbitrary commands into documents, helping you to keep your command
 examples up to date.
 .
 This package provides the documentation.

Package: python3-sphinxcontrib.programoutput
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: insert the output of arbitrary commands into documents - Python 3.x
 sphinxcontrib-programoutput is a Sphinx extension to literally insert the
 output of arbitrary commands into documents, helping you to keep your command
 examples up to date.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/NextThought/sphinxcontrib-programoutput
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for i in $(PYTHON3S) ; do \
		PYTHONPATH=. PYTHON=python$$i python$$i setup.py test ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=.:$(CURDIR)/src python3 -m sphinx -b html doc $(CURDIR)/debian/python-sphinxcontrib.programoutput-doc/usr/share/doc/python-sphinxcontrib.programoutput-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## sphinxcontrib-programoutput 0.16

=== debian/changelog ===
sphinxcontrib-programoutput (0.16-2) unstable; urgency=medium

  * Apply patch to make doc reproducible. Thanks to Simon McVittie for the
    patch (Closes: #993681).

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Dec 2021 18:21:12 +0100

sphinxcontrib-programoutput (0.16-1) unstable; urgency=medium

  * New upstream release:
    - Can be built with Sphinx 2.4 (Closes: #955106, #955077).
  * Removed now not needed patches:
    - fix-tests-for-sphinx-1.8.patch.
    - use-py3-in-tests.patch.
  * Switch to debhelper-compat (= 11).
  * Standards-Version: 4.5.0.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Apr 2020 09:33:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools (>= 99~),
  python3-all,
@@ -14,7 +14,7 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-pytest,
-Standards-Version: 4.1.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/sphinxcontrib-programoutput
 Vcs-Git: https://salsa.debian.org/openstack-team/third-party/sphinxcontrib-programoutput.git
 Homepage: https://github.com/NextThought/sphinxcontrib-programoutput

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 UPSTREAM_GIT := https://github.com/NextThought/sphinxcontrib-programoutput
 include /usr/share/openstack-pkg-tools/pkgos.make
+
+# Used in an example in generated documentation. Force it to a known value
+# to get reproducible builds
+export SHELL = /bin/sh
 
 %:
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

## sphinxcontrib-programoutput 0.17

=== debian/changelog ===
sphinxcontrib-programoutput (0.17-7) unstable; urgency=medium

  * Cleans better (Closes: #1046287).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 16:45:51 +0100

sphinxcontrib-programoutput (0.17-6) unstable; urgency=medium

  * Removed -O--buildsystem=python_distutils from d/rules.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 11:30:11 +0100

sphinxcontrib-programoutput (0.17-5) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090697).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 14:40:35 +0100

sphinxcontrib-programoutput (0.17-4) unstable; urgency=medium

  * Use pytest instead of setup.py test (Closes: #1080237).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Sep 2024 16:43:34 +0200

sphinxcontrib-programoutput (0.17-3) unstable; urgency=medium

  * Cleans better (Closes: #1046287).

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Aug 2023 18:26:11 +0200

sphinxcontrib-programoutput (0.17-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 11:12:16 +0100

sphinxcontrib-programoutput (0.17-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Feb 2022 13:43:49 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,12 @@
 export SHELL = /bin/sh
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	echo "Do nothing..."
+	rm -rf build .stestr .pybuild *.egg-info src/sphinxcontrib_programoutput.egg-info .pytest_cache
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -22,12 +24,12 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	set -e ; for i in $(PYTHON3S) ; do \
-		PYTHONPATH=. PYTHON=python$$i python$$i setup.py test ; \
+		PYTHONPATH=. PYTHON=python$$i python$$i -m pytest -v src/sphinxcontrib/programoutput/tests -k 'not test_shell_with_unexpected_return_code and not test_unexpected_return_code' ; \
 	done
 endif
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=.:$(CURDIR)/src python3 -m sphinx -b html doc $(CURDIR)/debian/python-sphinxcontrib.programoutput-doc/usr/share/doc/python-sphinxcontrib.programoutput-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc
 endif
